import jQuery from "jquery";
import { state, graph } from "./editor";
import { listAllSpaces, saveGraphJson } from "../../datasets/datasets";
import { SPACE } from "../../config";

/**
 * Initiates all the handlers for button presses and input changes.
 */
export function initInteractions() {
    jQuery("button#clear-collection").on("click", () => {
        state.clearSelectedItems();
    });
    jQuery("button#save").on("click", () => {
        saveGraphJson(SPACE, graph.getCleanData());    // space_id defined globaly through knowledge-space.php
    });

    // Fill space dropdown
    var selectContainer = jQuery("#space-id-select");
    listAllSpaces().then((spaces) => {
        spaces.forEach(space => {
            var selectedTxt = "";
            if (space === SPACE) {
                selectedTxt = "selected ";
            }

            var child = "<option " + selectedTxt + "value=\"" + space + "\">" + space + "</option>"
            selectContainer.append(child);
        });
    });
    selectContainer.val(SPACE);
}
